Skip to content

Test provider.

POST
/backend/v1/providers/test

Tests the connection to a provider using either a provider template or system provider,
ensuring the connection is functional.

Authorizations

HTTPBearer
Type
HTTP (bearer)

Request Body

application/json
JSON
{
  
"authTemplate": null,
  
"capability": "string",
  
"inputs": {
  
  
"additionalProperties": "string"
  
},
  
"secrets": {
  
  
"additionalProperties": "string"
  
},
  
"template": {
  
  
"awsAuth": {
  
  
  
"accessKey": "string",
  
  
  
"region": "string",
  
  
  
"secretKey": "string",
  
  
  
"service": "string",
  
  
  
"token": "string"
  
  
},
  
  
"body": "string",
  
  
"headers": {
  
  
  
"additionalProperties": "string"
  
  
},
  
  
"json": "string",
  
  
"method": "string",
  
  
"ociAuth": {
  
  
  
"keyId": "string",
  
  
  
"passphrase": "string",
  
  
  
"privateKeyPem": "string"
  
  
},
  
  
"outputs": {
  
  
},
  
  
"queryParams": {
  
  
  
"additionalProperties": "string"
  
  
},
  
  
"timeout": 20,
  
  
"type": "request",
  
  
"url": "string"
  
}
}

Responses

Successful Response

application/json
JSON
{
  
"content": "string",
  
"error": "string",
  
"files": [
  
  
{
  
  
  
"contentType": "string",
  
  
  
"data": "string",
  
  
  
"isBase64": false,
  
  
  
"name": "string"
  
  
}
  
],
  
"requests": {
  
  
"additionalProperties": {
  
  
  
"request": {
  
  
  
  
"body": "string",
  
  
  
  
"headers": {
  
  
  
  
  
"additionalProperties": "string"
  
  
  
  
},
  
  
  
  
"method": "string",
  
  
  
  
"queryParams": {
  
  
  
  
  
"additionalProperties": "string"
  
  
  
  
},
  
  
  
  
"url": "string"
  
  
  
},
  
  
  
"response": {
  
  
  
  
"body": "string",
  
  
  
  
"headers": {
  
  
  
  
  
"additionalProperties": "string"
  
  
  
  
},
  
  
  
  
"statusCode": 0
  
  
  
}
  
  
}
  
},
  
"statusCode": 0
}

Playground

Server
Authorization
Body

Samples

Powered by VitePress OpenAPI

Updated at: